> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Validate schedule file

> POST /company/{companyId}/validate



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **companyId** (string)



### Body: application/json (object)

- **fileId** (string(uuid))

- **companyId** (string)

- **source** (string)

- **dataDate** (string(date-time))

- **skipSubsetValidations** (boolean)

- **projectPlanId** (string)

- **skipProjectLimit** (boolean)



## Responses
### 200
OK

#### Body: application/json (object)
- **valid** (boolean)

- **fileId** (string(uuid))

- **message** (string)

- **errorCode** (string)



[Powered by Bump.sh](https://bump.sh)
